9.KettleOnline支持Kettle版本的说明

Posted on Posted in KettleOnline使用说明

KettleOnline默认安装Kettle8.3版本的jar包,已经经过测试。如果您使用其他版本的Kettle,那么也可以支持,只需要替换相应的jar包即可。相关路径:

(windows)D:/kettleonline/apache-tomcat-8.5.57/webapps/kettleonline/WEB-INF/lib

(linux)/opt/kettlepro/apache-tomcat/webapps/kettleonline/WEB-INF/lib

需要替换的jar包:

kettle-core-7.0.0.0-25.jar

kettle-dbdialog-7.0.0.0-25.jar

kettle-engine-7.0.0.0-25.jar

这些jar包从spoon的安装路径下获取:pdi-ce-9.0.0.0-423\data-integration\lib

大部分情况下都可以正常运行,如果在使用过程中有报错,请按照报错信息,替换相应版本的其他jar包即可。

2020-12-14_14-39-55